﻿using System;
using System.Collections.Generic;
using System.Text;
using HeuristicLab.Hive.Contracts.BusinessObjects;

namespace HeuristicLab.Hive.Server.DataAccess {
  public interface IUptimeCalendarDao: IGenericDao<AppointmentDto> {
    IEnumerable<AppointmentDto> GetUptimeCalendarForResource(Guid resourceId);
    void SetUptimeCalendarForResource(Guid resourceId, IEnumerable<AppointmentDto> appointments);
    void NotifySlavesOfNewCalendar(Guid groupId, bool forcePush);
    IEnumerable<AppointmentDto> GetCalendarForSlave(SlaveDto slave);
  }
}
