﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace HeuristicLab.Hive.Experiment.Views {
  public static class ControlExtensions {
    public static void InvokeIfRequired(this System.Windows.Forms.Control c, Action<System.Windows.Forms.Control> action) {
      if (c.InvokeRequired) {
        c.Invoke((Action)(() => action(c)));
      } else {
        action(c);
      }
    }
  }
}
